/**
 * Scholaroo 2024 theme redesign
 * Main 2024
 *
 * Table of contents:
 *
 * Variables
 * Base styles
 * Utility classes
 * Buttons
 * Ads
 * Global header and primary nav
 * Global footer
 */

/**
 * Variables -----------------------------------------------------------------
 */

:root {
  --schol-blue-1: #0099ff;
  --schol-blue-2: #006eee;
  --schol-green-1: #02b140;
  --schol-green-2: #26d97d;
  --schol-grey-100: #eff2f9;
  --schol-grey-300: #e4ebf1;
  --schol-grey-500: #b5c0c6;
  --schol-grey-700: #3e4148;
  --schol-grey-900: #1b1c21;

  --testimonials-slider-button-side-offset: 21.25rem;
  --testimonials-slider-button-mobile-side-offset: 30%;
  --testimonials-slider-button-mobile-bottom-offset: 16px;
}

/**
 * Base styles ----------------------------------------------------------------
 */

*,
::before,
::after {
  /* Delete -webkit-font-smoothing and word-break after removing old styles */
  -webkit-font-smoothing: unset;
  box-sizing: border-box;
  margin-top: 0;
  word-break: normal;
}

html {
  -moz-tab-size: 4;
  tab-size: 4;
  -webkit-text-size-adjust: 100%;
}

body {
  background-color: #fff;
  color: #000;
  font-family: 'Poppins', sans-serif;
  font-size: 0.875rem;
  line-height: 1.71428571429;
  margin: 0;
}

hr {
  color: inherit;
  height: 0;
}

b,
strong,
.bold {
  font-weight: 700;
  letter-spacing: -0.02em;
}

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Consolas, 'Liberation Mono', Menlo, monospace;
  font-size: 1em;
}

small,
.small {
  font-size: 0.83571428571em;
  line-height: 1;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
  font-weight: 600;
}

h1,
.h1 {
  font-size: 1.77375rem;
  letter-spacing: -0.02em;
  line-height: 1.40944326991;
}

h2,
.h2 {
  font-size: 1.576875rem;
  line-height: 0.95124851367;
}

h3,
.h3 {
  font-size: 1.401875rem;
  line-height: 1.06999554169;
}

h4,
.h4 {
  font-size: 1.245625rem;
  line-height: 1.20421475163;
}

h5,
.h5 {
  font-size: 1.1075rem;
  line-height: 1.35440180587;
}

h6,
.h6 {
  font-size: 0.984375rem;
  line-height: 1.52380952381;
}

@media (min-width: 1440px) {
  h1,
  .h1 {
    font-size: 2.6125rem;
    letter-spacing: normal;
    line-height: 0.95693779904;
  }

  h2,
  .h2 {
    font-size: 2.1775rem;
    line-height: 1.0045924225;
  }

  h3,
  .h3 {
    font-size: 1.814375rem;
    line-height: 1.20564932828;
  }

  h4,
  .h4 {
    font-size: 1.511875rem;
    line-height: 0.99214551467;
  }

  h5,
  .h5 {
    font-size: 1.26rem;
    line-height: 1.19047619048;
  }

  h6,
  .h6 {
    font-size: 1.05rem;
    line-height: 1.42857142857;
  }
}

/**
 * Utility classes ------------------------------------------------------------
 */

/**
 * Buttons --------------------------------------------------------------------
 */

.button {
  border-radius: 1.25rem;
  cursor: pointer;
  display: inline-block;
  font-weight: 700;
  padding: 0.5rem 2.0625rem;
  text-align: center;
  text-decoration: none;
}

.btn-2024,
.primary-menu .btn-2024,
.menu-item-log-in .btn-2024 {
  background-color: #006eee;
  border-radius: 100px;
  color: #fff;
  display: inline-block;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.55555555556;
  padding: 15px 24px;
  text-align: center;
  text-decoration: none;
}

.primary-menu .btn-2024,
.showing-menu-modal li.menu-item-log-in a.btn-2024 {
  background-color: #006eee !important;
  color: #fff !important;
  display: inline-block !important;
  width: auto;
}

.primary-menu .btn-2024 {
  padding: 10px 36px !important;
}

.showing-menu-modal li.menu-item-log-in a.btn-2024 {
  padding: 10px 48px !important;;
}


/**
 * Ads ------------------------------------------------------------------------
 */

.ad-slot {
  border-bottom: 1px solid #ccc;
  border-top: 1px solid #ccc;
  margin: 18px 0;
  padding: 9px 0 18px;
  text-align: center;
}

.ad-slot-label {
  color: #ccc;
  display: block;
  font-size: 10px;
  letter-spacing: 0.1em;
  margin: 0 0 9px;
  text-transform: uppercase;
}

/**
 * Global header and primary nav ----------------------------------------------
 */


#site-header,
.overlay-header #site-header {
  background-color: #fff;
  position: relative;
}

.page-template.home #site-header {
  background-color: transparent;
}

.header-inner {
  margin: 0 auto;
  max-width: 2688px;
  padding: 15px 16px;
  z-index: 100;
  width: 100%;
}

.header-inner .toggle {
  align-items: center;
  background: transparent;
  border: none;
  cursor: pointer;
  display: flex;
  overflow: visible;
  padding: 0;

  height: 24px;
  margin-right: 0;
  min-width: 30px;
  position: static;
  width: 30px;
}

.header-inner .toggle svg {
  display: block;
  position: relative;
  z-index: 1;
}

.header-inner .toggle path {
  fill: currentColor;
}

.header-titles-wrapper {
  align-items: center;
  display: flex;
  justify-content: space-between !important;
  padding: 0 !important;
  text-align: center;
}

.nav-toggle .toggle-inner {
  display: block;
  height: auto;
  padding-top: 0;
}

.nav-toggle .toggle-icon,
.nav-toggle .toggle-icon svg {
  height: auto;
  width: auto;
}

.header-navigation-wrapper {
  display: none;
}

.primary-menu > li > a {
  color: #374151 !important;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  margin: 0 !important;
  padding: 0 !important;
  text-decoration: none;
}

.report-template .primary-menu > li > a {
  color: #fff !important;
}

.primary-menu > li {
  /*font-size: 1.7rem;
  margin: 0 1.2055555556em;*/
  font-family: Poppins;
  font-size: 14px;
  font-weight: 700;
  line-height: 24px;
  letter-spacing: 0em;
  text-align: left;
}

.menu-item-my-account svg {
  display: inline;
  height: 20px;
  width: 20px;
}

.menu-item-my-account .icon,
.menu-item-my-account .sub-menu {
  display: none;
}

.primary-menu ul {
  background-color: rgb(255 255 255 / 13%);
  border-radius: 0.4rem;
  color: #fff;
  font-size: 1em;
  opacity: 0;
  padding: 0.7em 0.5em;
  position: absolute;
  right: 9999rem;
  top: calc(100% + 2rem);
  transition: opacity 0.15s linear, transform 0.15s linear, right 0s 0.15s;
  transform: translateY(0.6rem);
  width: max-content;
  z-index: 1;
  left: 0;
  top: 0.7em;
}

ul.sub-menu > li > a {
    display: block;
    padding: 5px 10px;
    margin: 5px 0px;
    text-decoration: none;
    color: #fff;
    background: #ffffff22;
    transition-duration: 0.4s;
}

ul.sub-menu > li > a:hover {
    background: linear-gradient(45deg, #fff, #ddd);
    color: #333;
}

.primary-menu .menu-item-has-children{
  position: relative;
}

.menu-item-has-children .sub-menu {
  position: absolute;
  top: 70%;
  left: 0;
  top: 1em;
  font-size: 1em;
  visibility: hidden;
}

.menu-item-has-children:hover .sub-menu {
  opacity: 1;
  visibility: visible;
}

.showing-menu-modal .header-navigation-wrapper, .showing-menu-modal .primary-menu-wrapper {
  display: block;
}

.showing-menu-modal .header-navigation-wrapper {
  background: #fff;
  height: 100%;
  left: 0;
  position: fixed;
  width: 100%;
  z-index: 1000;
  top: 70px;
}

.showing-menu-modal .primary-menu {
  background: #fff;
  flex-direction: column;
  position: absolute;
  width: 100%;
  left: 0px;
  padding: 0px;
  z-index: 10;
}

.showing-menu-modal .primary-menu > li,
.showing-menu-modal .primary-menu > li > a {
  display: block;
  width: 100%;
  text-align: center;
}

.showing-menu-modal .primary-menu > li {
  margin: 0;
}

.showing-menu-modal .primary-menu > li > a {
  color: #333 !important;
  display: block;
  width: 100%;
  text-align: center;
  padding: 10px !important;
}

.showing-menu-modal .primary-menu > li:nth-child(even) > a {
  background: #eee;
}

.primary-menu > li:last-child .sub-menu {
    transform: translateX(-90%);
}

.reset-list-style, .reset-list-style ul, .reset-list-style ol {
    list-style: none;
    margin: 0;
}

.menu-modal {
  background: #fff;
  display: none !important;
  opacity: 0;
  overflow-y: auto;
  overflow-x: hidden;
  position: fixed;
  bottom: 0;
  left: -99999rem;
  right: 99999rem;
  top: 0;
  transition: opacity 0.25s ease-in, left 0s 0.25s, right 0s 0.25s;
  z-index: 99;
}

@media (max-width: 768px) {
  .header-titles.site-logo img {
    display: block;
    max-width: 150px;
    height: auto;
  }
}

.primary-menu-wrapper {
  display: none;
}

ul.primary-menu {
  align-items: center;
  color: #373f41;
  font-size: 1.8rem;
  font-weight: 400;
  letter-spacing: normal;
  line-height: 1.3888888889;
  margin: 0;
}

ul.primary-menu {
  display: flex;
  font-size: 1.8rem;
  font-weight: 500;
  letter-spacing: -0.0277em;
  flex-wrap: wrap;
  justify-content: flex-end;
  column-gap: 24px;
}

@media (min-width: 700px) {
  #site-header .section-inner {
    width: calc(100% - 4rem);
  }
}

@media (min-width: 768px) {
  #site-header {
    background-color: transparent;
    z-index: 2;
  }

  .header-inner {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin: 0 auto !important;
    max-width: 1170px;
  }

  #site-header .header-titles-wrapper {
    max-width: 50%;
    padding: 0 !important;
    position: initial;
    text-align: left;
    top: initial;
  }

  .header-titles.site-logo img {
    max-width: 200px;
  }

  .header-inner .toggle {
    height: 4.4rem;
    padding: 0 3rem;
    position: relative;
    bottom: auto;
    left: auto;
    right: auto;
    top: auto;
    width: auto;
  }

  .header-inner .toggle-wrapper {
    position: relative;
  }

	.header-inner .toggle-wrapper::before {
		background: #dedfdf;
		content: "";
		display: block;
		height: 2.7rem;
		position: absolute;
		left: 0;
		top: calc(50% - 1.35rem);
		width: 0.1rem;
	}

	.header-inner .toggle-wrapper:first-child::before {
		content: none;
	}

	.header-inner .primary-menu-wrapper + .header-toggles .toggle-wrapper:first-child::before {
		content: "";
	}

  .header-navigation-wrapper {
    align-items: center;
    display: flex;
  }
  .mobile-search-toggle, .mobile-nav-toggle {
     display: none !important;
  }

  .primary-menu-wrapper {
    display: block;
    width: 100%;
  }

  ul.primary-menu {
    column-gap: 18px;
  }

  .primary-menu .menu-item {
    margin: 0;
  }

  .primary-menu .menu-item a {
    font-size: 12px;
  }

  .primary-menu .menu-item a:hover,
  .primary-menu .menu-item a:active {
    text-decoration: none;
  }
}

@media (min-width: 1000px) {
  .header-titles {
    display: block;
    margin: 0;
  }
}

@media (min-width: 1028px) {
  ul.primary-menu {
    column-gap: 18px;
  }

  .primary-menu .menu-item a {
    border-width: 3px;
    font-size: 16px;
  }
}

@media ( min-width: 1220px ) {
  ul.primary-menu {
    padding: 0;
  }
}

.primary-menu .menu-item-sign-up {
 display: none;
}


/**
 * CTA: “Get started” ---------------------------------------------------------
 */

.cta-get-started {
  background-color: #16a34a;
  color: #fff;
  padding: 16px;
}

.cta-get-started p {
  font-size: 16px;
  font-weight: 600;
  line-height: 1.5;
  margin: 0;
}

.cta-get-started p a {
  color: #f4efff;
  display: block;
  font-weight: 400;
  margin: 0.125em 0 0;
  text-decoration-line: underline;
}

.cta-get-started p a:hover,
.cta-get-started p a:active {
  text-decoration: none;
}

@media (min-width: 1024px) {
  .cta-get-started {
    padding-bottom: 10px;
    padding-top: 10px;
    text-align: center;
  }

  .cta-get-started p {
    color: #fef2f2;
    font-size: 20px;
    letter-spacing: -0.02em;
    line-height: 1.6;
  }

  .cta-get-started p a {
    display: inline;
    font-size: 18px;
    font-weight: 400;
    letter-spacing: normal;
    line-height: 1.55555555556;
  }
}


/**
 * Global footer --------------------------------------------------------------
 */

.global-footer {
  background-color: #14a346;
  color: #fff;
  padding: 56px 16px 48px;
}

.global-footer a {
  color: inherit;
  text-decoration: none;
}

.global-footer img {
  display: block;
  height: 100%;
  object-fit: contain;
  width: 100%;
}

.global-footer-inner {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.global-footer-logo {
  width: 135px;
}

.global-footer-nav-wrapper {
  align-items: flex-start;
  display: flex;
  gap: 32px;
  justify-content: space-between;
  width: 100%;
}

.global-footer-nav-column {
  width: 50%;
}

.global-footer-nav-heading,
.global-footer-form-heading {
  font-size: 14px;
  font-weight: 600;
  line-height: 1.42857142857;
  margin: 0 0 16px;
}

.global-footer-nav {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.global-footer-nav-wrapper .global-footer-nav li {
  color: #eaecf0;
  font-size: 16px !important;
  font-weight: 600;
  line-height: 1.5 !important;
  margin: 0 0 12px;
}

.global-footer-nav li:last-child {
  margin-bottom: 0;
}

.global-footer-nav a {
  display: block;
}

.global-footer-form {
  width: 100%;
}

.global-footer-form-fields .global-footer-form-input {
  background-color: #fff;
  border: 1px solid #d0d5dd !important;
  border-radius: 55px;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  color: #667085;
  font-family: 'Poppins', sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  margin: 0 0 16px;
  padding: 10px 14px;
  width: 100%;
}

.global-footer-form-fields .btn-footer-form {
  align-items: center;
  align-self: stretch;
  background-color: #006eee;
  border: 0;
  border-radius: 20px;
  color: #fff;
  display: flex;
  font-family: 'Poppins', sans-serif;
  font-size: 16px;
  font-weight: 600;
  gap: 10px;
  justify-content: center;
  line-height: 1.5;
  padding: 8px 18px;
  width: 100%;
}

.global-footer-form-fields .btn-footer-form:hover,
.global-footer-form-fields .btn-footer-form:active {
  text-decoration: none;
}

.global-footer-utility {
  border-top: 1px solid #fff;
  margin: 64px 0 0;
  padding-top: 32px;
}

.global-footer-utility .global-footer-nav {
  align-items: center;
  display: flex;
  gap: 10px;
  justify-content: left;
}

.global-footer-utility .global-footer-copyright,
.global-footer-utility .global-footer-nav {
  color: rgba(255, 255, 255, 0.82);
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
}

.global-footer-utility .global-footer-copyright {
  margin: 0;
}

/* Delete this entire selector ruleset after removing old styles */
.global-footer-utility .global-footer-nav li {
  font-size: inherit;
  line-height: inherit;
  margin: 0;
}

@media (min-width: 768px) {
  .global-footer-inner {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .global-footer-logo {
    width: 100%;
  }

  .global-footer-logo img {
    max-width: 135px;
  }

  .global-footer-nav-wrapper {
    margin-right: auto;
    width: 80%;
  }

  .global-footer-nav-wrapper:has(+ .global-footer-form) {
    margin-right: 0;
    min-width: 40%;
    width: auto;
  }

  .global-footer-form {
    min-width: 325px;
    width: auto;
  }

  .global-footer-form-fields {
    display: flex;
    flex-wrap: wrap;
    justify-content: right;
  }

  .global-footer-form-fields .btn-footer-form {
    width: auto;
  }

  .global-footer-utility {
    display: flex;
    gap: 4px;
  }

  .global-footer-utility .global-footer-copyright {
    margin: 0;
  }
}

@media (min-width: 920px) {
  .global-footer-inner,
  .global-footer-utility {
    margin-left: auto;
    margin-right: auto;
    max-width: 1024px;
  }

  .global-footer-inner {
    flex-wrap: nowrap;
  }

  .global-footer-logo {
    width: 135px;
  }

  .global-footer-nav-wrapper {
    order: unset;
    margin-left: 10%;
    width: 50%;
  }

  .global-footer-nav-wrapper:has(+ .global-footer-form) {
    margin-left: 0;
    min-width: unset;
  }

  .global-footer-form {
    min-width: unset;
    order: unset;
  }
}

@media (min-width: 1024px) {
  .global-footer {
    padding-top: 96px;
  }

  .global-footer-nav-wrapper:has(+ .global-footer-form) {
    width: 30%;
  }
}

/**
 * CC and loan landing page.
 * Move this into its own stylesheet.
 */
